Notus API
Fiat

Preview a PIX BRCode (QR Code)

Decodes a PIX BRCode string and returns the extracted information such as merchant name, PIX key, amount, etc.

GET
/api/v1/fiat/brcode/preview

Authorization

x-api-key
x-api-key<token>

In: header

Query Parameters

brCode*string
Length1 <= length

Response Body

application/json

curl -X GET "https://example.com/api/v1/fiat/brcode/preview?brCode=string"
{  "brCode": {    "status": "created",    "receiver": "Brla Digital Ltda",    "institution": "BRLA DIGITAL LTDA",    "documentId": "50224164000170",    "amount": 0  }}